## Name

shader — Assigns shader parameters to the specified combination.

## Synopsis

`shader` {`combination`} {`shader_name`} [`"{shader_ args}"`]

## DESCRIPTION

Assigns shader parameters to the specified combination. The shader_name indicates which shader should be assigned. If shader_args are supplied, they will be assigned to parameters of the indicated shader. This performs a similar function as the mater command.

## EXAMPLES

The example shows the use of the shader command to assign shader parameters to a specified combination.

Example 1. Assign shader parameters to a specified combination.

`mged>``shader group1 checker "{a 0,255,0 b 0,0,255}"`

Assigns the checkerboard shader to group1 using green and blue colors for the squares.

## BUG REPORTS

Reports of bugs or problems should be submitted via electronic mail to <devs@brlcad.org>, or via the "cadbug.sh" script.